# GET Country by ID

{% tabs %}
{% tab title="Base URL" %}

```javascript
https://api.sportmonks.com/v3/core/countries/{ID}
```

{% endtab %}

{% tab title="Example Response" %}

```json
{
  "data": {
    "id": 462,
    "continent_id": 1,
    "name": "United Kingdom",
    "official_name": "United Kingdom of Great Britain and Northern Ireland",
    "fifa_name": "ENG,NIR,SCO,WAL",
    "iso2": "GB",
    "iso3": "GBR",
    "latitude": "54.56088638305664",
    "longitude": "-2.2125117778778076",
    "geonameid": 2635167,
    "borders": [
      "IRL"
    ],
    "image_path": "https://cdn.sportmonks.com/images//countries/png/short/gb.png"
  },
```

{% endtab %}

{% tab title="Field Description" %}

| Field          | Description                                              | Type    |
| -------------- | -------------------------------------------------------- | ------- |
| id             | Refers to the id of the country                          | integer |
| continent\_id  | Refers to the continent of the country                   | integer |
| name           | Displays the name of the country                         | string  |
| official\_name | Displays the officiel name of the country                | string  |
| fifa\_name     | Displays the official fifa shortcode name of the country | string  |
| iso2           | Returns the two letter country code                      | string  |
| iso3           | Returns the three letter country code                    | string  |
| latitude       | Returns the official latitude position of the country    | string  |
| longitude      | Returns the official longitude position of the country   | string  |
| geonameid      | Returns the official geonameid                           | integer |
| border         | Returns all the neighbour countries of the country       | string  |
| image\_path    | Returns the image path of the country                    | string  |
| {% endtab %}   |                                                          |         |
| {% endtabs %}  |                                                          |         |

{% tabs %}
{% tab title="Query Parameters" %}

<table><thead><tr><th>Query Parameters</th><th width="164.33333333333331">Required?</th><th>Description</th></tr></thead><tbody><tr><td><code>api_token</code></td><td>YES</td><td>Your unique API token</td></tr><tr><td><code>include</code></td><td>NO</td><td>Enrich the API with more data by using includes</td></tr><tr><td><code>select</code></td><td>NO</td><td>Select specific fields on the <a href="broken-reference">base entity</a></td></tr><tr><td><code>filters</code></td><td>NO</td><td><p>Filter the API response on multiple related entities. There are static filters and dynamic filters.</p><p></p><p>Please find the possibilities in the Static and Dynamic Filter tab.</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Static Filters" %}
Not applicable for this endpoint.&#x20;
{% endtab %}

{% tab title="Dynamic Filters" %}
Not applicable for this endpoint.
{% endtab %}
{% endtabs %}

#### Pagination

No

#### Include depth

You can use a total of `2` nested includes on this endpoint

#### Include options

[`continent`](https://docs.sportmonks.com/v3/core-api/entities/core#continent) [`leagues`](https://app.gitbook.com/s/9zsNGu3HAzSnl5DWBD3Y/endpoints-and-entities/entities/league-season-schedule-stage-and-round#league) [`regions`](https://docs.sportmonks.com/v3/core-api/entities/core#region)

**Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the countries' endpoints are:

* [Country](https://docs.sportmonks.com/v3/core-api/entities/core#country)

#### Code Example

{% tabs %}
{% tab title="Ruby" %}

```ruby
require "uri"
require "net/http"

url = URI("https://api.sportmonks.com/v3/core/countries/{ID}?api_token={your_token}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body

```

{% endtab %}

{% tab title="Python" %}

```python
import http.client

conn = http.client.HTTPSConnection("api.sportmonks.com")
payload = ''
headers = {}
conn.request("GET", "/v3/core/countries/{ID}?api_token={your_token}", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.sportmonks.com/v3/core/countries/{ID}?api_token={your_token}',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
));

$response = curl_exec($curl);

curl_close($curl);
echo $respons
```

{% endtab %}

{% tab title="Java" %}

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
Request request = new Request.Builder()
  .url("https://api.sportmonks.com/v3/core/countries/{ID}?api_token={your_token}")
  .method("GET", null)
  .build();
Response response = client.newCall(request).execute();
```

{% endtab %}

{% tab title="Node.js" %}

```
var unirest = require('unirest');
var req = unirest('GET', 'https://api.sportmonks.com/v3/core/countries/{ID}?api_token={your_token}')
  .end(function (res) { 
    if (res.error) throw new Error(res.error); 
    console.log(res.raw_body);
  });
```

{% endtab %}

{% tab title="Go" %}

```go
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.sportmonks.com/v3/core/countries/{ID}?api_token={your_token}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/core-api/endpoints/countries/get-country-by-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
